org.apache.pdfbox.pdmodel.graphics

## Class PDPostScriptXObject

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.PDXObject
  - - org.apache.pdfbox.pdmodel.graphics.PDPostScriptXObject

All Implemented Interfaces:
  COSObjectable

    public class PDPostScriptXObject
    extends PDXObject

A PostScript XObject. Conforming readers may not be able to interpret the PostScript fragments.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`PDPostScriptXObject(COSStream stream)` Creates a PostScript XObject.

### Method Summary

### Methods inherited from class org.apache.pdfbox.pdmodel.graphics.PDXObject

`createXObject, getCOSObject, getStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDPostScriptXObject

    public PDPostScriptXObject(COSStream stream)

Creates a PostScript XObject.

Parameters:
  `stream` - The XObject stream